import { sys } from "cc"
import { Framework } from "../Framework"

export class SDKManager {

    constructor() {
        if (sys.platform == sys.Platform.WECHAT_GAME) {

        }
    }

    login() {
        // Framework.event.fireEvent("Login_Success");
        // Framework.event.fireEvent("Login_Failure");
    }

    playVideo() {
        if (sys.platform == sys.Platform.WECHAT_GAME) {

        }
    }

    showBanner() {

    }

    hideBanner() {

    }

    share(title: string, url: string) {
        Framework.event.fireEvent("Share_Success");
    }

    vibrateShort() {

    }

    vibrateLong() {

    }

    pay() {

    }
}